Bug 880125 - [ALL LANG][SAM CLI] No Validation for --name with wrong activation_key name for activation_key delete module.
[ALL LANG][SAM CLI] No Validation for --name with wrong activation_key name f...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: 6.0
Assigned To: Marek Hulan
SAM QE List
: i18n, Translation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 05:30 EST by Lijun Li
Modified: 2014-09-18 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:13:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lijun Li 2012-11-26 05:30:39 EST
Description of problem:
No Validation for --name with wrong activation_key name for activation_key delete module, should have the Validation failed message if delete the activation_key with wrong --name.

Version-Release number of selected component (if applicable):
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
100%

Steps to Reproduce:
[root@i18nsamtest ~]# headpin -u admin -p admin activation_key delete --name=wrong_name --org=test
^^^^^^^No Validation for --name with wrong activation_key name
[root@i18nsamtest ~]# 

  
Actual results:
No Validation for --name with wrong activation_key name for activation_key delete module

Expected results:
Should have the Validation failed message if delete the activation_key with wrong --name.

Additional info:
Comment 1 Tom McKay 2012-12-18 09:11:59 EST
Mass moving i18n BZs to CFSE where they are also present
Comment 3 Tom McKay 2013-01-25 10:56:57 EST
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: b688b4c7e3425acf9f39ecd3068f8fafdad61b6e
      https://github.com/Katello/katello/commit/b688b4c7e3425acf9f39ecd3068f8fafdad61b6e
  Author: Marek Hulan <ares@igloonet.cz>
  Date:   2013-01-25 (Fri, 25 Jan 2013)
Comment 4 Mike McCune 2013-09-19 14:13:50 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.